Skip to content

# SOCKS

`socks` inbound is a socks4, socks4a, socks5 server.

### Structure

    {
      "type": "socks",
      "tag": "socks-in",

      ... // Listen Fields

      "users": [
        {
          "username": "admin",
          "password": "admin"
        }
      ]
    }

### Listen Fields

See Listen Fields for details.

### Fields

#### users

SOCKS users.

No authentication required if empty.